Skip to main content
POST
/
api
/
v1
/
partner
/
tenants
/
{tenant_id}
/
agents
Create tenant agent (partner)
curl --request POST \
  --url https://api.callaro.ai/api/v1/partner/tenants/{tenant_id}/agents \
  --header 'Content-Type: application/json' \
  --header 'X-Partner-Api-Key: <api-key>' \
  --data '{}'
const options = {
method: 'POST',
headers: {'X-Partner-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.callaro.ai/api/v1/partner/tenants/{tenant_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.callaro.ai/api/v1/partner/tenants/{tenant_id}/agents"

payload = {}
headers = {
"X-Partner-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "data": {},
  "message": "<string>",
  "meta": {},
  "request_id": "<string>"
}
{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}

Authorizations

X-Partner-Api-Key
string
header
required

Path Parameters

tenant_id
string
required

Body

application/json

The body is of type object.

Response

Created

data
object | null
message
string | null
meta
object | null
request_id
string | null